From 6e8fa443ea6faa1fe575115fbca880397325daf5 Mon Sep 17 00:00:00 2001
From: Francis Rowe <info@gluglug.org.uk>
Date: Sat, 7 Feb 2015 17:34:54 +0000
Subject: grub-background (new): lets user change GRUB background image

---
 grub-background | 61 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)
 create mode 100755 grub-background

diff --git a/grub-background b/grub-background
new file mode 100755
index 00000000..420f34db
--- /dev/null
+++ b/grub-background
@@ -0,0 +1,61 @@
+#!/bin/bash
+
+#
+#  grub-background script: change the GRUB background in libreboot
+#
+#	Copyright (C) 2015 Francis Rowe <info@gluglug.org.uk>
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+set -u -e -v
+
+if (( $# != 1 )); then
+	echo "Usage: ./grub-background /path/to/image.jpg"
+	echo "You need to specify exactly 1 argument"
+	exit 1
+fi
+
+if [ ! -f $1 ]; then
+	echo "File not found!"
+	exit 1
+fi
+
+path="unknown"
+if [ -f "DEBLOB" ]; then
+	path="./coreboot/util/cbfstool/cbfstool"
+elif [ $(uname -i) = "armv7l" ] || [ $(uname -m) = "armv7l" ]; then
+	path="./cbfstool/armv7l/cbfstool"
+elif [ $(uname -i) = "i686" ] || [ $(uname -m) = "i686" ]; then
+	path="./cbfstool/i686/cbfstool"
+elif [ $(uname -i) = "x86_64" ] || [ $(uname -m) = "x86_64" ]; then
+	path="./cbfstool/x86_64/cbfstool"
+else
+	echo "grub-background script: Unknown host."
+	exit 1
+fi
+
+cd bin/
+for board in $(ls)
+do
+	cd "$board"/
+	for file in $(ls *vesafb*)
+	do
+		cd ../../
+		$path bin/"$board"/"$file" remove -n background.jpg
+		$path bin/"$board"/"$file" add -f "$1" -n background.jpg -t raw
+		cd bin/"$board"/
+	done
+	cd ../
+done
-- 
cgit v1.2.3-70-g09d2